## rp-pppoe 3.11

=== debian/changelog ===
rp-pppoe (3.11-0ubuntu1) utopic; urgency=low

  [ Whoopie ]
  * New upstream release (LP: #705880).
  * debian/control: Add Build-Depend on ppp-dev.
  * debian/rules: Specify "--enable-plugin" to get kernel
    PPPoE support.
  * debian/patches/08_delegate-ip-addresses.patch: Delegate the 
    allocation of IP addresses to pppd (LP: #705872).
  * debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin
    path so that pppoe-server uses ppp's plugin directory.
  * debian/patches/10_fix-in6.h-include.patch: Fix in6.h include to
    get kernel PPPoE support.

  [ Łukasz 'sil2100' Zemczak ]
  * debian/rules: use dh_prep instead of dh_clean -k
  * debian/copyright: use UTF-8 for the copyright sign
  * debian/control: bump the standards version

 -- Whoopie <whoopie79@gmx.net>  Tue, 10 Jun 2014 22:29:59 +0200

rp-pppoe (3.8-3ubuntu1) oneiric; urgency=low

  * Tweak and apply patch by Igor A Tarasov to resolve pppoe-server not
    honoring pppd's configured IP addresses. This patch adds a '-D'
    (delegate) option, similar to pptpd's, that causes pppoe-server to
    skip adding its own local and remote IP addresses to the pppd
    command line, thereby allowing pppd to perform address assignment
    properly. Thanks, Igor! (LP: #705872)

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 22 Jul 2011 12:34:27 -0400

rp-pppoe (3.8-3) unstable; urgency=low

  [ Norman Rasmussen ]
  * README.Debian updated to use the new method of starting ppp at boot
    time. Closes: #274341

  [ Florian Weimer ]
  * Include source-address patch from Sven Geggus. Closes: #419677

  [ Andreas Barth ]
  * Merge patches & upload.

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 17 Apr 2007 12:21:37 +0000

rp-pppoe (3.8-2) unstable; urgency=low

  * Adopt package.
  * Cleanup: use orig.tar.gz, remove odd Makefiles and obsolete, sync with
    upstream, update debian/copyright. Thanks to Florian Weimar.
  * Set CONNECT_TIMEOUT=0.
    Closes: #159803, #222746, #251261, #320676, #222746, #230707.
  * Ignore broadcasted PADO-packets instead of packets from non-unique source
    address. Thanks to Stephane Louise <luigi@nerim.net> for detection
    and the patch. Closes: #293811

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 10 Mar 2007 17:36:24 +0000
