## rp-pppoe 3.12

=== debian/changelog ===
rp-pppoe (3.12-1.2ubuntu3) jammy; urgency=medium

  * No change rebuild for ppp 2.4.9-1+1ubuntu3

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 28 Feb 2022 11:26:17 +0000

rp-pppoe (3.12-1.2ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:08:19 +0000

rp-pppoe (3.12-1.2ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add Build-Depend on ppp-dev.
    - debian/rules: Specify "--enable-plugin" to get kernel PPPoE support.
    - debian/patches/08_delegate-ip-addresses.patch: Delegate the allocation of
      IP addresses to pppd.
    - debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin path so
      that pppoe-server uses ppp's plugin directory.
    - debian/patches/10_fix-in6.h-include.patch: Fix in6.h include to get
      kernel PPPoE support.
  * debian/patches/11_reorder-includes.patch: Reorder includes in src/rpppoe.h
    to fix FTBFS.
  * Refresh Ubuntu patches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 15 Jan 2019 22:02:09 -0500

rp-pppoe (3.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/patches/07_pppoestart-echo.patch
    - fixes reproducible build on merged-usr vs non-merged

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Dec 2018 16:34:59 +0100

rp-pppoe (3.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Run dh_fixperms during build to make build reproducible
    (Closes: #836837).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Dec 2016 10:09:52 +0000

rp-pppoe (3.12-1) unstable; urgency=medium

  * New upstream release. Closes: #602861.
  * Bump up Standards-Version to 3.9.8.
  * Bump up Debhelper compatibility level to 9. Closes: #817658, #816476.
  * Change source format to 3.0 (quilt).
  * debian/copyright: Fix encoding to UTF-8
  * debian/rules: use dh_prep instead of dh_clean -k
  * lintian overrides for two files:
    - /usr/bin/pppoe is shipped with suid
    - etc/ppp/peers/dsl-provider contains sensitive credentials
  * Typo fixes.
  * Don't ship pppoe-setup as it it's not needed. Closes: #426621, #747144.
  * Add debian/watch file with signature verification.
  * Add .gitignore to the git repo.
  * Remove confusing documentation that was accidentally re-introduced between 
    3.5 and 3.8. Closes: #426621.
  * Add hardening flags to debian/rules.

 -- Lee Garrett <lgarrett@rocketjump.eu>  Wed, 22 Jun 2016 16:53:15 +0200
