=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: rp-pppoe
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Andreas Barth <aba@not.so.argh.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 8), ppp-dev, quilt
+Build-Depends: debhelper (>= 9), ppp-dev
+Uploaders: Lee Garrett <lgarrett@rocketjump.eu>
 
 Package: pppoe
 Architecture: any
