=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+export DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	dh_quilt_patch
-#	test -f configure || (aclocal; autoconf)
 	test -f src/Makefile || (cd src && PPPD=/usr/sbin/pppd ./configure --enable-plugin)
 	$(MAKE) -C src
 	touch build-stamp
@@ -17,8 +20,8 @@
 	dh_testroot
 	rm -f build-stamp
 	-rm -f pppoe.prj pppoe.log .pppoe.prcs_aux
-	-$(MAKE) -C src distclean
-	-$(MAKE) -C gui distclean
+	[ ! -f src/Makefile ] || $(MAKE) -C src distclean
+	[ ! -f gui/Makefile ] || $(MAKE) -C gui distclean
 	rm -f src/pppoe-relay
 	-rm -f debian/substvars.debhelper
 	-rm -f config.h config.log config.status
@@ -38,8 +41,9 @@
 	$(MAKE) -C src install DESTDIR="`pwd`/debian/pppoe"
 #	Now clean out unwanted things, and move others to their places
 	rm -rf debian/pppoe/etc/ppp debian/pppoe/usr/share/doc
-	rm -rf debian/pppoe/usr/share/man/man5  # pppoe.conf manpage
+	rm -rf debian/pppoe/usr/man/man5  # pppoe.conf manpage
 	rm -f debian/pppoe/usr/sbin/adsl-* debian/pppoe/usr/man/man8/adsl-*
+	rm -f debian/pppoe/usr/sbin/pppoe-setup
 	dh_installdirs etc/ppp/peers
 	install -m 0640 -o root -g dip debian/dsl-provider \
 		debian/pppoe/etc/ppp/peers/dsl-provider
@@ -50,11 +54,12 @@
 	dh_link
 	dh_strip
 	dh_compress
-#	dh_fixperms
+	dh_fixperms
 	chgrp dip debian/pppoe/usr/sbin/pppoe
 	chmod u+s debian/pppoe/usr/sbin/pppoe
 	chmod o-x debian/pppoe/usr/sbin/pppoe
 	dh_installdeb
+	dh_lintian
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
