## rp-pppoe 3.15

=== debian/changelog ===
rp-pppoe (3.15-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add Build-Depend on ppp-dev.
    - debian/rules: Specify "--enable-plugin" to get kernel PPPoE support.
    - debian/patches/08_delegate-ip-addresses.patch: Delegate the allocation of
      IP addresses to pppd.
    - debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin path so
      that pppoe-server uses ppp's plugin directory.
    - debian/patches/10_fix-in6.h-include.patch: Fix in6.h include to get
      kernel PPPoE support.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 22 Jan 2023 15:02:49 -0500

rp-pppoe (3.15-2) unstable; urgency=medium

  * Update upstream contact email address
  * Bump Standards-Version (no changes needed)
  * Update d/copyright
  * Fix lintian override
  * Update hardening flag according to wiki
  * Add hardening build flags to Makefile
  * Remove superfluous lintian override

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 18 Jan 2023 13:24:39 +0100

rp-pppoe (3.15-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add Build-Depend on ppp-dev.
    - debian/rules: Specify "--enable-plugin" to get kernel PPPoE support.
    - debian/patches/08_delegate-ip-addresses.patch: Delegate the allocation of
      IP addresses to pppd.
    - debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin path so
      that pppoe-server uses ppp's plugin directory.
    - debian/patches/10_fix-in6.h-include.patch: Fix in6.h include to get
      kernel PPPoE support.
  * Drop 11_reorder-includes.patch; no longer needed.
  * Refresh 08_delegate-ip-addresses.patch.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 20 Aug 2022 22:46:04 -0400

rp-pppoe (3.15-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to point to new website.
  * Remove 04_ignore_broadcasted_pado_packets.patch (applied upstream).
  * Remove 07_pppoestart-echo.patch (applied upstream).
  * Bump Standards-Version.
  * Bump debhelper-compat.
  * Take over maintainership.

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 25 Jan 2022 21:43:51 +0100
