=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 build: build-arch build-indep
@@ -49,7 +50,7 @@
 		debian/pppoe/etc/ppp/peers/dsl-provider
 	dh_installdocs
 	dh_installexamples
-#	dh_installman
+#	dh_installmanpages
 	dh_installchangelogs doc/CHANGES
 	dh_link
 	dh_strip
