=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" \
    https://dianne.skoll.ca/projects/rp-pppoe/ \
    /projects/rp-pppoe/download/rp-pppoe-(.+).tar.gz \
    debian uupdate
