## rp-pppoe 4.0

=== debian/changelog ===
rp-pppoe (4.0-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add Build-Depend on ppp-dev.
    - debian/rules: Specify "--enable-plugin" to get kernel PPPoE support.
    - debian/patches/08_delegate-ip-addresses.patch: Delegate the allocation of
      IP addresses to pppd.
    - debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin path so
      that pppoe-server uses ppp's plugin directory.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Jun 2024 08:01:10 +0200

rp-pppoe (4.0-1) unstable; urgency=medium

  * The "Ella, elle l'a" release
  * d/gbp.conf: Switch to DEP-14 for the git repo layout
  * Update debian/watch to match upstream changes
  * Update upstream signing key
  * d/gbp.conf: Enforce importing upstream signatures
  * New upstream version 4.0 (Closes: #1071361)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 21 May 2024 14:48:43 +0200
