=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: rp-pppoe
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lee Garrett <debian@rocketjump.eu>
+Maintainer: Lee Garrett <debian@rocketjump.eu>
 Standards-Version: 4.6.2
 Section: net
 Priority: optional
