=== debian/watch ===
version=4
opts="pgpmode=mangle,pgpsigurlmangle=s%$%.sig%,filenamemangle=s%[^?]+\?file=(.+)%$1%" \
    https://dianne.skoll.ca/projects/rp-pppoe/ \
    download.php\?file=rp-pppoe-(4.0).tar.gz \
    debian uupdate
